Update merchant account profile fields (draft-friendly)
PATCH
/v1/merchant-accounts/{merchantAccountId}Authorization
AuthorizationBearer token · headerrequiredPublic API key bearer token.
Path parameters
merchantAccountIdstringrequiredQuery parameters
environmentstringrequiredmerchantAccountIdstringrequiredHeader parameters
Idempotency-KeystringRequired for production-safe retries on mutating routes. Reusing a key with a different request body returns 409.
min length 1
Request body
requiredapplication/jsonenvironmentstringAllowed:
sandboxproductiondisplayNamestringmerchantModestringdoingBusinessAsstring | nullbusinessPhonestring | nullbusinessTaxIdstring | nullphonestring | nulltaxIdstring | nullemailstring | nullfirstNamestring | nulllastNamestring | nullmccstring | nullurlstring | nullmaxTransactionAmountnumber | nullachMaxTransactionAmountnumber | nullannualCardVolumenumber | nullprincipalPercentageOwnershipnumber | nullhasAcceptedCreditCardsPreviouslyboolean | nullacceptsAchboolean | nulldateOfBirthMerchantProfileDate | anyShow propertiesHide properties
Any of:
MerchantProfileDate
daynumberrequiredmonthnumberrequiredyearnumberrequiredany
anyincorporationDateMerchantProfileDate | anyShow propertiesHide properties
Any of:
MerchantProfileDate
daynumberrequiredmonthnumberrequiredyearnumberrequiredany
anybusinessAddressMerchantAddress | anyShow propertiesHide properties
Any of:
MerchantAddress
line1stringrequiredline2stringcitystringrequiredregionstringpostalCodestringrequiredcountrystringrequiredany
anypersonalAddressMerchantAddress | anyShow propertiesHide properties
Any of:
MerchantAddress
line1stringrequiredline2stringcitystringrequiredregionstringpostalCodestringrequiredcountrystringrequiredany
anysettlementBankAccountMerchantSettlementBankAccount | anyShow propertiesHide properties
Any of:
MerchantSettlementBankAccount
namestringrequiredaccountNumberstringrequiredbankCodestringrequiredaccountTypestringrequiredattemptValidationCheckbooleanany
anyassociatedIdentitiesMerchantAssociatedIdentity[] | anyShow propertiesHide properties
Any of:
MerchantAssociatedIdentity[]
Array of
MerchantAssociatedIdentityidentityRolesstring[]requiredrelationTypestringfirstNamestringlastNamestringtitlestringemailstringphonestringtaxIdstringprincipalPercentageOwnershipnumberdateOfBirthMerchantProfileDateShow propertiesHide properties
daynumberrequiredmonthnumberrequiredyearnumberrequiredpersonalAddressMerchantAddressShow propertiesHide properties
line1stringrequiredline2stringcitystringrequiredregionstringpostalCodestringrequiredcountrystringrequiredany
anyunderwritingMerchantUnderwritingData | anyShow propertiesHide properties
Any of:
MerchantUnderwritingData
annualAchVolumenumberaverageAchTransferAmountnumberaverageCardTransferAmountnumberbusinessDescriptionstringcreditCheckAllowedbooleancreditCheckIpAddressstringcreditCheckTimestampstringcreditCheckUserAgentstringrefundPolicystringcardVolumeDistributionobjectShow propertiesHide properties
cardPresentPercentagenumberecommercePercentagenumbermailOrderTelephoneOrderPercentagenumbervolumeDistributionByBusinessTypeobjectShow propertiesHide properties
businessToConsumerVolumePercentagenumberconsumerToConsumerVolumePercentagenumberotherVolumePercentagenumberany
anymetadataobject | anyShow propertiesHide properties
Any of:
object
objectany
anyResponses
200Success
dataobjectrequiredrequestIdstringrequired400Bad request, including malformed JSON
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobject401Missing or invalid API key
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobject409Conflict, including idempotency body drift
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobject422Validation failed
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobject429API key rate limit exceeded
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobjectdefaultError
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobjectRequest
curl -X PATCH "https://api.vortex.nyc/v1/merchant-accounts/string?environment=string&merchantAccountId=string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"environment": "sandbox",
"displayName": "string",
"merchantMode": "string",
"doingBusinessAs": "string",
"businessPhone": "string",
"businessTaxId": "string",
"phone": "string",
"taxId": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"mcc": "string",
"url": "string",
"maxTransactionAmount": 0,
"achMaxTransactionAmount": 0,
"annualCardVolume": 0,
"principalPercentageOwnership": 0,
"hasAcceptedCreditCardsPreviously": true,
"acceptsAch": true,
"dateOfBirth": {
"day": 0,
"month": 0,
"year": 0
},
"incorporationDate": {
"day": 0,
"month": 0,
"year": 0
},
"businessAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"personalAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"settlementBankAccount": {
"name": "string",
"accountNumber": "string",
"bankCode": "string",
"accountType": "string",
"attemptValidationCheck": true
},
"associatedIdentities": [
{
"identityRoles": [
"string"
],
"relationType": "string",
"firstName": "string",
"lastName": "string",
"title": "string",
"email": "string",
"phone": "string",
"taxId": "string",
"principalPercentageOwnership": 0,
"dateOfBirth": {
"day": 0,
"month": 0,
"year": 0
},
"personalAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
}
}
],
"underwriting": {
"annualAchVolume": 0,
"averageAchTransferAmount": 0,
"averageCardTransferAmount": 0,
"businessDescription": "string",
"creditCheckAllowed": true,
"creditCheckIpAddress": "string",
"creditCheckTimestamp": "string",
"creditCheckUserAgent": "string",
"refundPolicy": "string",
"cardVolumeDistribution": {
"cardPresentPercentage": 0,
"ecommercePercentage": 0,
"mailOrderTelephoneOrderPercentage": 0
},
"volumeDistributionByBusinessType": {
"businessToConsumerVolumePercentage": 0,
"consumerToConsumerVolumePercentage": 0,
"otherVolumePercentage": 0
}
},
"metadata": {}
}'const response = await fetch("https://api.vortex.nyc/v1/merchant-accounts/string?environment=string&merchantAccountId=string", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"environment": "sandbox",
"displayName": "string",
"merchantMode": "string",
"doingBusinessAs": "string",
"businessPhone": "string",
"businessTaxId": "string",
"phone": "string",
"taxId": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"mcc": "string",
"url": "string",
"maxTransactionAmount": 0,
"achMaxTransactionAmount": 0,
"annualCardVolume": 0,
"principalPercentageOwnership": 0,
"hasAcceptedCreditCardsPreviously": true,
"acceptsAch": true,
"dateOfBirth": {
"day": 0,
"month": 0,
"year": 0
},
"incorporationDate": {
"day": 0,
"month": 0,
"year": 0
},
"businessAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"personalAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"settlementBankAccount": {
"name": "string",
"accountNumber": "string",
"bankCode": "string",
"accountType": "string",
"attemptValidationCheck": true
},
"associatedIdentities": [
{
"identityRoles": [
"string"
],
"relationType": "string",
"firstName": "string",
"lastName": "string",
"title": "string",
"email": "string",
"phone": "string",
"taxId": "string",
"principalPercentageOwnership": 0,
"dateOfBirth": {
"day": 0,
"month": 0,
"year": 0
},
"personalAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
}
}
],
"underwriting": {
"annualAchVolume": 0,
"averageAchTransferAmount": 0,
"averageCardTransferAmount": 0,
"businessDescription": "string",
"creditCheckAllowed": true,
"creditCheckIpAddress": "string",
"creditCheckTimestamp": "string",
"creditCheckUserAgent": "string",
"refundPolicy": "string",
"cardVolumeDistribution": {
"cardPresentPercentage": 0,
"ecommercePercentage": 0,
"mailOrderTelephoneOrderPercentage": 0
},
"volumeDistributionByBusinessType": {
"businessToConsumerVolumePercentage": 0,
"consumerToConsumerVolumePercentage": 0,
"otherVolumePercentage": 0
}
},
"metadata": {}
})
});import requests
response = requests.patch(
"https://api.vortex.nyc/v1/merchant-accounts/string?environment=string&merchantAccountId=string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"environment": "sandbox",
"displayName": "string",
"merchantMode": "string",
"doingBusinessAs": "string",
"businessPhone": "string",
"businessTaxId": "string",
"phone": "string",
"taxId": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"mcc": "string",
"url": "string",
"maxTransactionAmount": 0,
"achMaxTransactionAmount": 0,
"annualCardVolume": 0,
"principalPercentageOwnership": 0,
"hasAcceptedCreditCardsPreviously": True,
"acceptsAch": True,
"dateOfBirth": {
"day": 0,
"month": 0,
"year": 0
},
"incorporationDate": {
"day": 0,
"month": 0,
"year": 0
},
"businessAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"personalAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"settlementBankAccount": {
"name": "string",
"accountNumber": "string",
"bankCode": "string",
"accountType": "string",
"attemptValidationCheck": True
},
"associatedIdentities": [
{
"identityRoles": [
"string"
],
"relationType": "string",
"firstName": "string",
"lastName": "string",
"title": "string",
"email": "string",
"phone": "string",
"taxId": "string",
"principalPercentageOwnership": 0,
"dateOfBirth": {
"day": 0,
"month": 0,
"year": 0
},
"personalAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
}
}
],
"underwriting": {
"annualAchVolume": 0,
"averageAchTransferAmount": 0,
"averageCardTransferAmount": 0,
"businessDescription": "string",
"creditCheckAllowed": True,
"creditCheckIpAddress": "string",
"creditCheckTimestamp": "string",
"creditCheckUserAgent": "string",
"refundPolicy": "string",
"cardVolumeDistribution": {
"cardPresentPercentage": 0,
"ecommercePercentage": 0,
"mailOrderTelephoneOrderPercentage": 0
},
"volumeDistributionByBusinessType": {
"businessToConsumerVolumePercentage": 0,
"consumerToConsumerVolumePercentage": 0,
"otherVolumePercentage": 0
}
},
"metadata": {}
},
)Response
{
"data": {},
"requestId": "string"
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}